Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.eviware.soapui.impl.wsdl.actions.iface.tools.support
Enum RunnerContext.RunnerStatus

    java.lang.Object
      java.lang.Enum<RunnerContext.RunnerStatus>
          com.eviware.soapui.impl.wsdl.actions.iface.tools.support.RunnerContext.RunnerStatus

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RunnerContext.RunnerStatus>

Enclosing interface:
  RunnerContext

    public static enum RunnerContext.RunnerStatus

extends java.lang.Enum<RunnerContext.RunnerStatus>

Enum Constant Summary
`ERROR`
`FINISHED`
`RUNNING`

Method Summary
`static RunnerContext.RunnerStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RunnerContext.RunnerStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RUNNING

    public static final RunnerContext.RunnerStatus RUNNING

### FINISHED

    public static final RunnerContext.RunnerStatus FINISHED

### ERROR

    public static final RunnerContext.RunnerStatus ERROR

Method Detail

### values

    public static final RunnerContext.RunnerStatus[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(RunnerContext.RunnerStatus c : RunnerContext.RunnerStatus.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static RunnerContext.RunnerStatus valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.